APIs
Copy Page
OpenAPI space
APIs
Retrieves a list of currently defined APIs in API meta list format.
GET
Retrieves an API meta listing of all APIs defined for this owner
GET
Deletes the specified API
DELETE
Retrieves an API meta listing for all API versions for this owner and API
GET
Saves the provided Swagger definition
POST
Deletes a particular version of the specified API
DELETE
Publish a particular version of the specified API
POST
Retrieves the Swagger definition for the specified API and version in JSON format
GET
Retrieves the Swagger definition for the specified API and version in YAML format
GET
Auth
Log in to OpenAPI space
POST
Log in to OpenAPI space using an APInf account
POST
Log in to OpenAPI space using an APInf authentication token
POST
Log out from OpenAPI space
POST
Check whether or not you are authenticated
POST
Register to OpenAPI space
POST
Schemas
Schemas
APIMeta
APIMetaList
Credentials
LoginToken
Registration
APIs
MCP
Copy Page
Publish a particular version of the specified API
POST
/apis/{owner}/{api}/{version}
Try it
Run in Apidog
Run in Apidog
Request
Path Params
Generate Code
Responses
🟢
200
the API version was successfully published
application/json
Generate Code
Body
application/json
Generate Code
ðŸŸ
403
access denied
ðŸŸ
404
specified API not found
ðŸŸ
409
the API version is already published
Request
Request Example
Shell
JavaScript
Java
Swift
cURL
cURL-Windows
Httpie
wget
PowerShell
curl
--location
--request
POST
'https://openapi.space/api/v1/apis///'
Response
Response Example
200 -
Example 1
{
}
Modified atÂ
2023-08-15 10:35:02
Previous
Deletes a particular version of the specified API
Next
Retrieves the Swagger definition for the specified API and version in JSON format